# Function evalClientHandler

- evalClientHandler(options): Promise<{
  data?: any;
  error?: any;
  }>

- Evaluates a client handler

  #### Parameters

  - options: {
    deep: DeepClient<Link<Id>>;
    input?: any;
    value: string;
    }

    - ##### deep: DeepClient<Link<Id>>

    - ##### `Optional` input?: any

    - ##### value: string

  #### Returns Promise<{
  data?: any;
  error?: any;
  }>

  A promise that resolves to an object with either an error property that contains error or data property that contains result of the handler.

  - Defined in work/deeplinks/deeplinks/imports/client-handler.tsx:54